--
-- Fichiers d'autorités pour UNIMARC en français
-- Authorities tables for UNIMARC in french
-- Copyright Paul POULAIN, BibLibre SARL

-- This file is part of Koha.
--
-- Koha is free software; you can redistribute it and/or modify it under the
-- terms of the GNU General Public License as published by the Free Software
-- Foundation; either version 2 of the License, or (at your option) any later
-- version.
--
-- Koha is distributed in the hope that it will be useful, but WITHOUT ANY
-- WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-- A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along with
-- Koha; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
-- Suite 330, Boston, MA  02111-1307 USA
--

-- 
-- Contenu de la table `auth_types`
-- 

set NAMES 'utf8';

INSERT IGNORE INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES
  ('','Défaut','',''),
  ('CLASS', 'Auteur - Rubrique de classement', '245', '[245a][ -- 245t][. 245i][. 245h][. 245m][. 245q][. 245k][ -- 245x][ -- 245y][ -- 245z][ -- 245l]'),
  ('CO', 'Collectivité', '210', '[210a ][ (210c)][. 210b][ -- 210d][ ; 210e][ ; 210f][ -- 210x][ -- 210z][ -- 210y]'),
  ('CO_UNI_TI','Vedette Rubrique de classement','235','[235a][ , 235b][ , 235e][ . 235k][ ; 235m][ . 235r][ . 235s][ . 235u][ . 235w][ . 235j][ -- 235x][ -- 235y][ -- 235z]'),
  ('EXP', 'Titre (expression)', '232', '[232a][. 232i][. 232h][. 232m][. 232q][. 232k][ -- 232x][ -- 232y][ -- 232z][ -- 231l]'),
  ('FAM','Famille','220','[220a][  (220f)][ -- 220j][ -- 220x][ -- 220y][ -- 220z]'),
  ('GENRE/FORM','Vedette genre forme ou caractéristiques physiques','280','[280a][ . 280j][ -- 280x][ -- 280y][ -- 280z]'),
  ('NAME_COL','Vedette Auteur Rubrique de classement','245','[245a][ . 245t][ . 245j][ -- 245x][ -- 245y][ -- 245z]'),
  ('NP','Auteur','200','[200a][, 200b][ 200d][ ; 200c][ (200f)]'),
  ('NTEXP', 'Nom - Titre (expression)', '242', '[242a][ -- 242t][. 242i][. 242h][. 242m][. 242q][. 242k][ -- 242x][ -- 242y][ -- 242z][ -- 242l]'),
  ('NTWORK', 'Nom - Titre (oeuvre)', '241', '[241a][ -- 241t][. 241i][. 241h][. 241m][. 241q][. 241k][ -- 241x][ -- 241y][ -- 241z][ -- 242l]'),
  ('PA','Vedette lieu édition','260','[260a][ . 260b][ . 260c][ . 260d]'),
  ('PERS', 'Personnage', '223', '[223a][ -- 223b][ -- 223c]'),
  ('PUB', 'Editeur ou imprimeur', '217', '[217a ][ : 217c][ -- 217x][ -- 217z][ -- 217y]'),
  ('SAUTTIT','Auteur titre','240','[240a][, 240b][ 240d][ ; 240c][ (240f)][. 240t]\r\n'),
  ('SNC','Sujet (nom commun)','250','[250a][ -- 250x][ -- 250y][ -- 250z] [(250b)]'),
  ('SNG','Sujet (nom géographique)','215','[215a][ -- 215x][ -- 215y][ -- 215z]'),
  ('TM','Marque','216','[216a][  (216f)][ ; 216c][ -- 216j][ -- 216x][ -- 216y][ -- 216z]'),
  ('TU','Titre Uniforme','230','[230a][. 230i][. 230h][. 230m][. 230q][. 230k][ -- 230x][ -- 230y][ -- 230z][ -- 230l]'),
  ('WORK', 'Titre (oeuvre)', '231', '[231a][. 231i][. 231h][. 231m][. 231q][. 231k][ -- 231x][ -- 231y][ -- 231z][ -- 231l]');


-- 
-- Contenu de la table `auth_tag_structure`
-- 

INSERT IGNORE INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES
  ('', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('', '003', 'ARK', '', 0, 0, ''),
  ('', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('', '009', 'PPN', '', 0, 0, ''),
  ('', '010', 'ISNI', '', 0, 0, ''),
  ('', '015', '(ISADN)', '', 0, 0, NULL),
  ('', '033', 'Autre ARK', '', 1, 0, ''),
  ('', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('', '036', 'Incipit musique', '', 1, 0, ''),
  ('', '050', 'ISTC', '', 0, 0, NULL),
  ('', '051', 'ISWC', '', 0, 0, NULL),
  ('', '052', 'ISAN', '', 0, 0, NULL),
  ('', '061', 'ISRC', '', 0, 0, NULL),
  ('', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('', '102', 'Nationalité de l''entité', '', 0, 1, NULL),
  ('', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('', '127', 'Zone de données codées : Durée enreg. sonore, projections visuelles, compositions musciales et interprétations', '', 0, 0, ''),
  ('', '128', 'Zone de données codées : Forme musicale de l''oeuvre et clé ou mode', '', 0, 0, NULL),
  ('', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('', '152', 'Règles', '', 0, 0, NULL),
  ('', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('', '200', 'Vedette', '', 1, 1, NULL),
  ('', '210', 'Vedette', '', 1, 1, ''),
  ('', '215', 'Vedette', '', 1, 1, ''),
  ('', '216', 'Marque', '', 0, 1, ''),
  ('', '217', 'Vedette - Editeur ou imprimeur', '', 1, 1, ''),
  ('', '220', 'Nom famile', '', 0, 1, ''),
  ('', '223', 'Vedette - Personnage', '', 1, 1, ''),
  ('', '230', 'Vedette', '', 1, 1, NULL),
  ('', '231', 'Vedette - Titre (oeuvre)', '', 1, 1, ''),
  ('', '232', 'Vedette - Titre (expression)', '', 1, 1, ''),
  ('', '235', 'Vedette Rubrique de classement', '', 0, 1, ''),
  ('', '240', 'Vedette', '', 1, 1, NULL),
  ('', '241', 'Vedette - Nom/Titre (oeuvre)', '', 1, 1, ''),
  ('', '242', 'Vedette - Nom/Titre (expression)', '', 1, 1, ''),
  ('', '245', 'Vedette Auteur Rubrique de classement', '', 0, 1, ''),
  ('', '250', 'Vedette-Matière nom commun', '', 1, 1, ''),
  ('', '260', 'Vedette Lieu d''édition', '', 0, 1, ''),
  ('', '280', 'Vedette – Forme, genre ou caractéristiques physiques', '', 0, 1, ''),
  ('', '300', 'Note d''information', '', 1, 0, NULL),
  ('', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('', '341', 'Note d''activité en rapport avec l''éditeur ou l''imprimeur', '', 1, 0, NULL),
  ('', '356', 'Note géographique', '', 0, 1, NULL),
  ('', '400', 'Forme rejetée', '', 1, 0, ''),
  ('', '410', 'Forme rejetée', '', 1, 0, ''),
  ('', '415', 'Forme rejetée', '', 1, 0, ''),
  ('', '416', 'Forme rejetée - Marque', '', 0, 0, ''),
  ('', '417', 'Forme rejetée - Editeur ou imprimeur', '', 1, 0, ''),
  ('', '420', 'Forme rejetée -Famille', '', 0, 0, ''),
  ('', '423', 'Forme rejetée - Personnage', '', 1, 0, ''),
  ('', '430', 'Forme rejetée - Titre uniforme', '', 1, 0, ''),
  ('', '431', 'Forme rejetée - Titre (oeuvre)', '', 1, 0, ''),
  ('', '432', 'Forme rejetée - Titre (expression)', '', 1, 0, ''),
  ('', '440', 'Forme rejetée - Auteur/Titre', '', 1, 0, ''),
  ('', '441', 'Forme rejetée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('', '442', 'Forme rejetée - Nom/Titre (expression)', '', 1, 0, ''),
  ('', '445', 'Forme rejetée – Auteur / Rubrique de classement', '', 0, 0, ''),
  ('', '450', 'Forme rejetée - Sujet', '', 1, 0, ''),
  ('', '460', 'Forme rejetée – Lieu d’édition', '', 0, 0, ''),
  ('', '480', 'Forme rejetée – Forme, genre ou caractéristiques physiques', '', 0, 0, ''),
  ('', '500', 'Forme associée - auteur/sujet', '', 1, 0, ''),
  ('', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('', '510', 'Forme associée - collectivité', '', 1, 0, ''),
  ('', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('', '515', 'Forme associée - nom géographique', '', 1, 0, ''),
  ('', '516', 'Forme associée -Marque', '', 0, 0, ''),
  ('', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('', '520', 'Forme associée - Famille', '', 0, 0, ''),
  ('', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('', '540', 'Forme associée Auteur/titre', '', 1, 0, ''),
  ('', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('', '545', 'Forme associée – Auteur / Rubrique de classement', '', 0, 0, ''),
  ('', '550', 'Forme associée - Sujet', '', 1, 0, ''),
  ('', '560', 'Forme associée – Lieu d’édition', '', 0, 0, ''),
  ('', '580', 'Forme associée – Forme, genre ou caractéristiques physiques', '', 0, 0, ''),
  ('', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('', '686', 'Autres classifications', '', 1, 0, NULL),
  ('', '700', 'Forme parallèle – Nom de personne', '', 0, 0, ''),
  ('', '710', 'Forme parallèle', '', 1, 0, ''),
  ('', '715', 'Forme parallèle – Nom de territoire ou nom géographique', '', 0, 0, ''),
  ('', '716', 'Forme parallèle – Marque', '', 0, 0, ''),
  ('', '717', 'Forme parallèle - Editeur ou imprimeur', '', 1, 0, ''),
  ('', '720', 'Forme parallèle – Famille', '', 0, 0, ''),
  ('', '723', 'Forme parallèle - Personnage', '', 1, 0, ''),
  ('', '730', 'Forme parallèle – Titre uniforme', '', 0, 0, ''),
  ('', '731', 'Forme parallèle - Titre (oeuvre)', '', 1, 0, ''),
  ('', '732', 'Forme parallèle - Titre (expression)', '', 1, 0, ''),
  ('', '740', 'Forme parallèle – Auteur / Titre', '', 0, 0, ''),
  ('', '741', 'Forme parallèle - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('', '742', 'Forme parallèle - Nom/Titre (expression)', '', 1, 0, ''),
  ('', '745', 'Forme parallèle – Auteur / Rubrique de classement', '', 0, 0, ''),
  ('', '750', 'Forme parallèle – Matière nom commun', '', 0, 0, ''),
  ('', '760', 'Forme parallèle – Lieu d’édition', '', 0, 0, ''),
  ('', '780', 'Forme parallèle – Forme, genre ou caractéristiques physiques', '', 0, 0, ''),
  ('', '801', 'Origine de la notice', '', 1, 1, ''),
  ('', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('CLASS', '001', 'Identificateur de la notice', '', 0, 1, NULL),
  ('CLASS', '003', 'ARK', '', 0, 0, ''),
  ('CLASS', '005', 'Identificateur de la version', '', 0, 1, NULL),
  ('CLASS', '009', 'PPN', '', 0, 0, ''),
  ('CLASS', '033', 'Autre ARK', '', 1, 0, ''),
  ('CLASS', '035', 'Identificateur de la notice dans un autre système', '', 1, 0, ''),
  ('CLASS', '036', 'Incipit musique', '', 1, 0, ''),
  ('CLASS', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('CLASS', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('CLASS', '102', 'Nationalité de l''entité', '', 0, 0, NULL),
  ('CLASS', '122', 'Zone de données codées : Période historique', '', 1, 0, NULL),
  ('CLASS', '152', 'Règles', '', 0, 0, NULL),
  ('CLASS', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('CLASS', '235', 'Vedette - Rubrique de classement', '', 1, 0, ''),
  ('CLASS', '245', 'Vedette - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('CLASS', '300', 'Note d''information', '', 1, 0, NULL),
  ('CLASS', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL),
  ('CLASS', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL),
  ('CLASS', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('CLASS', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('CLASS', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('CLASS', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('CLASS', '356', 'Note géographique', '', 1, 0, ''),
  ('CLASS', '445', 'Forme rejetée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('CLASS', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('CLASS', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('CLASS', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('CLASS', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('CLASS', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('CLASS', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('CLASS', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('CLASS', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('CLASS', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('CLASS', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('CLASS', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('CLASS', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('CLASS', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('CLASS', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('CLASS', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('CLASS', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('CLASS', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('CLASS', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('CLASS', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('CLASS', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('CLASS', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('CLASS', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('CLASS', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('CLASS', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('CLASS', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('CLASS', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('CLASS', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('CLASS', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('CLASS', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('CLASS', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('CLASS', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('CLASS', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('CLASS', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('CLASS', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('CLASS', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('CLASS', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('CLASS', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('CLASS', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('CLASS', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('CLASS', '686', 'Autres classifications', '', 1, 0, NULL),
  ('CLASS', '745', 'Forme parallèle - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('CLASS', '801', 'Origine de la notice', '', 1, 1, ''),
  ('CLASS', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('CLASS', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('CLASS', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('CLASS', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('CLASS', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('CLASS', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('CLASS', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('CLASS', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('CLASS', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('CO', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('CO', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('CO', '009', 'PPN', '', 0, 0, ''),
  ('CO', '010', 'ISNI', '', 0, 0, ''),
  ('CO', '015', '(ISADN)', '', 0, 0, NULL),
  ('CO', '033', 'ARK', '', 0, 0, ''),
  ('CO', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('CO', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('CO', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('CO', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('CO', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('CO', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('CO', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('CO', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('CO', '152', 'Règles', '', 0, 0, NULL),
  ('CO', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('CO', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('CO', '210', 'Vedette', '', 1, 0, ''),
  ('CO', '300', 'Note d''information', '', 1, 0, NULL),
  ('CO', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('CO', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('CO', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('CO', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('CO', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('CO', '356', 'Note géographique', '', 0, 0, ''),
  ('CO', '410', 'Forme rejetée', '', 1, 0, NULL),
  ('CO', '500', 'Forme associée - Nom de Personne', '', 1, 0, ''),
  ('CO', '510', 'Forme associée', '', 1, 0, NULL),
  ('CO', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('CO', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('CO', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('CO', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('CO', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('CO', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('CO', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('CO', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('CO', '560', 'Forme associée - Lieu édition', '', 1, 0, ''),
  ('CO', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('CO', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('CO', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('CO', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('CO', '686', 'Autres classifications', '', 1, 0, NULL),
  ('CO', '710', 'Forme parallèle', '', 1, 0, ''),
  ('CO', '801', 'Origine de la notice', '', 1, 1, ''),
  ('CO', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('CO', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('CO', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('CO', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('CO', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('CO', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('CO', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('CO', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('CO', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('CO_UNI_TI', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('CO_UNI_TI', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('CO_UNI_TI', '015', '(ISADN)', '', 0, 0, NULL),
  ('CO_UNI_TI', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('CO_UNI_TI', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('CO_UNI_TI', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('CO_UNI_TI', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('CO_UNI_TI', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('CO_UNI_TI', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('CO_UNI_TI', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('CO_UNI_TI', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('CO_UNI_TI', '152', 'Règles', '', 0, 0, NULL),
  ('CO_UNI_TI', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('CO_UNI_TI', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('CO_UNI_TI', '235', 'Vedette rubrique de classement', '', 0, 1, ''),
  ('CO_UNI_TI', '300', 'Note d''information', '', 1, 0, NULL),
  ('CO_UNI_TI', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('CO_UNI_TI', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('CO_UNI_TI', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('CO_UNI_TI', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('CO_UNI_TI', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('CO_UNI_TI', '356', 'Note géographique', '', 0, 0, ''),
  ('CO_UNI_TI', '435', 'Forme rejetée', '', 1, 0, NULL),
  ('CO_UNI_TI', '535', 'Forme associée', '', 1, 0, NULL),
  ('CO_UNI_TI', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('CO_UNI_TI', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('CO_UNI_TI', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('CO_UNI_TI', '686', 'Autres classifications', '', 1, 0, NULL),
  ('CO_UNI_TI', '730', 'Forme parallèle', '', 1, 0, ''),
  ('CO_UNI_TI', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('CO_UNI_TI', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('CO_UNI_TI', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('CO_UNI_TI', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('CO_UNI_TI', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('CO_UNI_TI', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('CO_UNI_TI', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('CO_UNI_TI', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('CO_UNI_TI', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('CO_UNI_TI', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('EXP', '001', 'Identificateur de la notice', '', 0, 1, NULL),
  ('EXP', '003', 'ARK', '', 0, 0, ''),
  ('EXP', '005', 'Identificateur de la version', '', 0, 1, NULL),
  ('EXP', '009', 'PPN', '', 0, 0, ''),
  ('EXP', '033', 'Autre ARK', '', 1, 0, ''),
  ('EXP', '035', 'Identificateur de la notice dans un autre système', '', 1, 0, ''),
  ('EXP', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('EXP', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('EXP', '102', 'Nationalité de l''entité', '', 0, 0, NULL),
  ('EXP', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('EXP', '152', 'Règles', '', 0, 0, NULL),
  ('EXP', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('EXP', '232', 'Vedette - Titre (expression)', '', 1, 0, ''),
  ('EXP', '300', 'Note d''information', '', 1, 0, NULL),
  ('EXP', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL),
  ('EXP', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL),
  ('EXP', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('EXP', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('EXP', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('EXP', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('EXP', '356', 'Note géographique', '', 1, 0, ''),
  ('EXP', '432', 'Forme rejetée - Titre (expression)', '', 1, 0, ''),
  ('EXP', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('EXP', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('EXP', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('EXP', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('EXP', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('EXP', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('EXP', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('EXP', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('EXP', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('EXP', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('EXP', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('EXP', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('EXP', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('EXP', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('EXP', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('EXP', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('EXP', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('EXP', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('EXP', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('EXP', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('EXP', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('EXP', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('EXP', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('EXP', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('EXP', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('EXP', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('EXP', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('EXP', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('EXP', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('EXP', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('EXP', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('EXP', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('EXP', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('EXP', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('EXP', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('EXP', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('EXP', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('EXP', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('EXP', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('EXP', '686', 'Autres classifications', '', 1, 0, NULL),
  ('EXP', '732', 'Forme parallèle - Titre (expression)', '', 1, 0, ''),
  ('EXP', '801', 'Origine de la notice', '', 1, 1, ''),
  ('EXP', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('EXP', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('EXP', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('EXP', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('EXP', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('EXP', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('EXP', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('EXP', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('EXP', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('FAM', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('FAM', '003', 'ARK', '', 0, 0, ''),
  ('FAM', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('FAM', '009', 'PPN', '', 0, 0, ''),
  ('FAM', '010', 'ISNI', '', 0, 0, ''),
  ('FAM', '015', '(ISADN)', '', 0, 0, NULL),
  ('FAM', '033', 'Autre ARK', '', 1, 0, ''),
  ('FAM', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('FAM', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('FAM', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('FAM', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('FAM', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('FAM', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('FAM', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('FAM', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('FAM', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('FAM', '152', 'Règles', '', 0, 0, NULL),
  ('FAM', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('FAM', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('FAM', '220', 'Famille', '', 0, 1, ''),
  ('FAM', '300', 'Note d''information', '', 1, 0, NULL),
  ('FAM', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('FAM', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('FAM', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('FAM', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('FAM', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('FAM', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('FAM', '356', 'Note géographique', '', 0, 0, ''),
  ('FAM', '420', 'Forme rejetée', '', 1, 0, ''),
  ('FAM', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('FAM', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('FAM', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('FAM', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('FAM', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('FAM', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('FAM', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('FAM', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('FAM', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('FAM', '520', 'Forme associée', '', 1, 0, NULL),
  ('FAM', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('FAM', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('FAM', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('FAM', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('FAM', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('FAM', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('FAM', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('FAM', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('FAM', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('FAM', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('FAM', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('FAM', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('FAM', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('FAM', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('FAM', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('FAM', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('FAM', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('FAM', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('FAM', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('FAM', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('FAM', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('FAM', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('FAM', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('FAM', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('FAM', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('FAM', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('FAM', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('FAM', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('FAM', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('FAM', '686', 'Autres classifications', '', 1, 0, NULL),
  ('FAM', '720', 'Forme parallèle – Famille', '', 0, 0, ''),
  ('FAM', '750', 'Forme parallèle', '', 1, 0, ''),
  ('FAM', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('FAM', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('FAM', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('FAM', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('FAM', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('FAM', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('FAM', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('FAM', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('FAM', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('FAM', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('GENRE/FORM', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('GENRE/FORM', '003', 'ARK', '', 0, 0, ''),
  ('GENRE/FORM', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('GENRE/FORM', '009', 'PPN', '', 0, 0, ''),
  ('GENRE/FORM', '015', '(ISADN)', '', 0, 0, NULL),
  ('GENRE/FORM', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('GENRE/FORM', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('GENRE/FORM', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('GENRE/FORM', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('GENRE/FORM', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('GENRE/FORM', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('GENRE/FORM', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('GENRE/FORM', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('GENRE/FORM', '152', 'Règles', '', 0, 0, NULL),
  ('GENRE/FORM', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('GENRE/FORM', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('GENRE/FORM', '280', 'Vedette genre forme ou caractéristiques physiques', '', 0, 1, ''),
  ('GENRE/FORM', '300', 'Note d''information', '', 1, 0, NULL),
  ('GENRE/FORM', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('GENRE/FORM', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('GENRE/FORM', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('GENRE/FORM', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('GENRE/FORM', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('GENRE/FORM', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('GENRE/FORM', '356', 'Note géographique', '', 0, 0, ''),
  ('GENRE/FORM', '480', 'Forme rejetée', '', 1, 0, ''),
  ('GENRE/FORM', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('GENRE/FORM', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('GENRE/FORM', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('GENRE/FORM', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('GENRE/FORM', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('GENRE/FORM', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('GENRE/FORM', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('GENRE/FORM', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('GENRE/FORM', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('GENRE/FORM', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('GENRE/FORM', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('GENRE/FORM', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('GENRE/FORM', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('GENRE/FORM', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('GENRE/FORM', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('GENRE/FORM', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('GENRE/FORM', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('GENRE/FORM', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('GENRE/FORM', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('GENRE/FORM', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('GENRE/FORM', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('GENRE/FORM', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('GENRE/FORM', '580', 'Forme associée', '', 1, 0, NULL),
  ('GENRE/FORM', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('GENRE/FORM', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('GENRE/FORM', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('GENRE/FORM', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('GENRE/FORM', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('GENRE/FORM', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('GENRE/FORM', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('GENRE/FORM', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('GENRE/FORM', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('GENRE/FORM', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('GENRE/FORM', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('GENRE/FORM', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('GENRE/FORM', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('GENRE/FORM', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('GENRE/FORM', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('GENRE/FORM', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('GENRE/FORM', '686', 'Autres classifications', '', 1, 0, NULL),
  ('GENRE/FORM', '750', 'Forme parallèle', '', 1, 0, ''),
  ('GENRE/FORM', '780', 'Forme parallèle – Forme, genre ou caractéristiques physiques', '', 0, 0, ''),
  ('GENRE/FORM', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('GENRE/FORM', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('GENRE/FORM', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('GENRE/FORM', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('GENRE/FORM', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('GENRE/FORM', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('GENRE/FORM', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('GENRE/FORM', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('GENRE/FORM', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('GENRE/FORM', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('NAME_COL', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('NAME_COL', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('NAME_COL', '015', '(ISADN)', '', 0, 0, NULL),
  ('NAME_COL', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('NAME_COL', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('NAME_COL', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('NAME_COL', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('NAME_COL', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('NAME_COL', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('NAME_COL', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('NAME_COL', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('NAME_COL', '152', 'Règles', '', 0, 0, NULL),
  ('NAME_COL', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('NAME_COL', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('NAME_COL', '245', 'Vedette Auteur Rubrique de classement', '', 0, 1, ''),
  ('NAME_COL', '300', 'Note d''information', '', 1, 0, NULL),
  ('NAME_COL', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('NAME_COL', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('NAME_COL', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('NAME_COL', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('NAME_COL', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('NAME_COL', '356', 'Note géographique', '', 0, 0, ''),
  ('NAME_COL', '445', 'Forme rejetée', '', 1, 0, ''),
  ('NAME_COL', '545', 'Forme associée', '', 1, 0, NULL),
  ('NAME_COL', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('NAME_COL', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('NAME_COL', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('NAME_COL', '686', 'Autres classifications', '', 1, 0, NULL),
  ('NAME_COL', '745', 'Forme parallèle – Auteur / Rubrique de classement', '', 0, 0, ''),
  ('NAME_COL', '750', 'Forme parallèle', '', 1, 0, ''),
  ('NAME_COL', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('NAME_COL', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('NAME_COL', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('NAME_COL', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('NAME_COL', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('NAME_COL', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('NAME_COL', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('NAME_COL', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('NAME_COL', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('NAME_COL', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('NP', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('NP', '003', 'ARK', '', 0, 0, ''),
  ('NP', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('NP', '009', 'PPN', '', 0, 0, ''),
  ('NP', '010', 'ISNI', '', 0, 0, ''),
  ('NP', '015', '(ISADN)', '', 0, 0, NULL),
  ('NP', '033', 'Autre ARK', '', 1, 0, ''),
  ('NP', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('NP', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('NP', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('NP', '102', 'Nationalité de l''entité', '', 0, 1, NULL),
  ('NP', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('NP', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('NP', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('NP', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('NP', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('NP', '152', 'Règles', '', 0, 0, NULL),
  ('NP', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('NP', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('NP', '200', 'Vedette', '', 1, 0, NULL),
  ('NP', '300', 'Note d''information', '', 1, 0, NULL),
  ('NP', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('NP', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('NP', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('NP', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('NP', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('NP', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('NP', '356', 'Note géographique', '', 0, 1, NULL),
  ('NP', '400', 'Forme rejetée', '', 1, 0, ''),
  ('NP', '500', 'Forme associée', '', 1, 0, ''),
  ('NP', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('NP', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('NP', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('NP', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('NP', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('NP', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('NP', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('NP', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('NP', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('NP', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('NP', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('NP', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('NP', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('NP', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('NP', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('NP', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('NP', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('NP', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('NP', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('NP', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('NP', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('NP', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('NP', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('NP', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('NP', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('NP', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('NP', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('NP', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('NP', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('NP', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('NP', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('NP', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('NP', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('NP', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('NP', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('NP', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('NP', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('NP', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('NP', '686', 'Autres classifications', '', 1, 0, NULL),
  ('NP', '700', 'Forme parallèle', '', 1, 0, ''),
  ('NP', '801', 'Origine de la notice', '', 1, 1, ''),
  ('NP', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('NP', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('NP', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('NP', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('NP', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('NP', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('NP', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('NP', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('NP', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('NTEXP', '001', 'Identificateur de la notice', '', 0, 1, NULL),
  ('NTEXP', '003', 'ARK', '', 0, 0, ''),
  ('NTEXP', '005', 'Identificateur de la version', '', 0, 1, NULL),
  ('NTEXP', '009', 'PPN', '', 0, 0, ''),
  ('NTEXP', '015', 'ISADN', '', 0, 0, ''),
  ('NTEXP', '033', 'Autre ARK', '', 1, 0, ''),
  ('NTEXP', '035', 'Identificateur de la notice dans un autre système', '', 1, 0, ''),
  ('NTEXP', '036', 'Incipit musique', '', 1, 0, ''),
  ('NTEXP', '050', 'ISTC', '', 0, 0, NULL),
  ('NTEXP', '051', 'ISWC', '', 0, 0, NULL),
  ('NTEXP', '052', 'ISAN', '', 0, 0, NULL),
  ('NTEXP', '061', 'ISRC', '', 0, 0, NULL),
  ('NTEXP', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('NTEXP', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('NTEXP', '102', 'Nationalité de l''entité', '', 0, 0, NULL),
  ('NTEXP', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('NTEXP', '127', 'Zone de données codées : Durée enreg. sonore, projections visuelles, compositions musciales et interprétations', '', 0, 0, ''),
  ('NTEXP', '128', 'Zone de données codées : Forme musicale de l''oeuvre et clé ou mode', '', 0, 0, NULL),
  ('NTEXP', '152', 'Règles', '', 0, 0, NULL),
  ('NTEXP', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('NTEXP', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('NTEXP', '242', 'Vedette - Nom/Titre (expression)', '', 1, 0, ''),
  ('NTEXP', '300', 'Note d''information', '', 1, 0, NULL),
  ('NTEXP', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL),
  ('NTEXP', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL),
  ('NTEXP', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('NTEXP', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('NTEXP', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('NTEXP', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('NTEXP', '356', 'Note géographique', '', 1, 0, ''),
  ('NTEXP', '442', 'Forme rejetée - Nom/Titre (expression)', '', 1, 0, ''),
  ('NTEXP', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('NTEXP', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('NTEXP', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('NTEXP', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('NTEXP', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('NTEXP', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('NTEXP', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('NTEXP', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('NTEXP', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('NTEXP', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('NTEXP', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('NTEXP', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('NTEXP', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('NTEXP', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('NTEXP', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('NTEXP', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('NTEXP', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('NTEXP', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('NTEXP', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('NTEXP', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('NTEXP', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('NTEXP', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('NTEXP', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('NTEXP', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('NTEXP', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('NTEXP', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('NTEXP', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('NTEXP', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('NTEXP', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('NTEXP', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('NTEXP', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('NTEXP', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('NTEXP', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('NTEXP', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('NTEXP', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('NTEXP', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('NTEXP', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('NTEXP', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('NTEXP', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('NTEXP', '686', 'Autres classifications', '', 1, 0, NULL),
  ('NTEXP', '742', 'Forme parallèle - Nom/Titre (expression)', '', 1, 0, ''),
  ('NTEXP', '801', 'Origine de la notice', '', 1, 1, ''),
  ('NTEXP', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('NTEXP', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('NTEXP', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('NTEXP', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('NTEXP', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('NTEXP', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('NTEXP', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('NTEXP', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('NTEXP', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('NTWORK', '001', 'Identificateur de la notice', '', 0, 1, NULL),
  ('NTWORK', '003', 'ARK', '', 0, 0, ''),
  ('NTWORK', '005', 'Identificateur de la version', '', 0, 1, NULL),
  ('NTWORK', '009', 'PPN', '', 0, 0, ''),
  ('NTWORK', '033', 'Autre ARK', '', 1, 0, ''),
  ('NTWORK', '035', 'Identificateur de la notice dans un autre système', '', 1, 0, ''),
  ('NTWORK', '036', 'Incipit musique', '', 1, 0, ''),
  ('NTWORK', '050', 'ISTC', '', 0, 0, NULL),
  ('NTWORK', '051', 'ISWC', '', 0, 0, NULL),
  ('NTWORK', '052', 'ISAN', '', 0, 0, NULL),
  ('NTWORK', '061', 'ISRC', '', 0, 0, NULL),
  ('NTWORK', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('NTWORK', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('NTWORK', '102', 'Nationalité de l''entité', '', 0, 0, NULL),
  ('NTWORK', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('NTWORK', '127', 'Zone de données codées : Durée enreg. sonore, projections visuelles, compositions musciales et interprétations', '', 0, 0, ''),
  ('NTWORK', '128', 'Zone de données codées : Forme musicale de l''oeuvre et clé ou mode', '', 0, 0, NULL),
  ('NTWORK', '152', 'Règles', '', 0, 0, NULL),
  ('NTWORK', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('NTWORK', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('NTWORK', '241', 'Vedette - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('NTWORK', '300', 'Note d''information', '', 1, 0, NULL),
  ('NTWORK', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL),
  ('NTWORK', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL),
  ('NTWORK', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('NTWORK', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('NTWORK', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('NTWORK', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('NTWORK', '356', 'Note géographique', '', 1, 0, ''),
  ('NTWORK', '441', 'Forme rejetée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('NTWORK', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('NTWORK', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('NTWORK', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('NTWORK', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('NTWORK', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('NTWORK', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('NTWORK', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('NTWORK', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('NTWORK', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('NTWORK', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('NTWORK', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('NTWORK', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('NTWORK', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('NTWORK', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('NTWORK', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('NTWORK', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('NTWORK', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('NTWORK', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('NTWORK', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('NTWORK', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('NTWORK', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('NTWORK', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('NTWORK', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('NTWORK', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('NTWORK', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('NTWORK', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('NTWORK', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('NTWORK', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('NTWORK', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('NTWORK', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('NTWORK', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('NTWORK', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('NTWORK', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('NTWORK', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('NTWORK', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('NTWORK', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('NTWORK', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('NTWORK', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('NTWORK', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('NTWORK', '686', 'Autres classifications', '', 1, 0, NULL),
  ('NTWORK', '741', 'Forme parallèle - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('NTWORK', '801', 'Origine de la notice', '', 1, 1, ''),
  ('NTWORK', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('NTWORK', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('NTWORK', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('NTWORK', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('NTWORK', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('NTWORK', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('NTWORK', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('NTWORK', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('NTWORK', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('PA', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('PA', '003', 'ARK', '', 0, 0, ''),
  ('PA', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('PA', '009', 'PPN', '', 0, 0, ''),
  ('PA', '015', '(ISADN)', '', 0, 0, NULL),
  ('PA', '033', 'Autre ARK', '', 1, 0, ''),
  ('PA', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('PA', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('PA', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('PA', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('PA', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('PA', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('PA', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('PA', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('PA', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('PA', '152', 'Règles', '', 0, 0, NULL),
  ('PA', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('PA', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('PA', '260', 'Vedette Lieu d''édition', '', 0, 1, ''),
  ('PA', '300', 'Note d''information', '', 1, 0, NULL),
  ('PA', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('PA', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('PA', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('PA', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('PA', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('PA', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('PA', '356', 'Note géographique', '', 0, 0, ''),
  ('PA', '460', 'Forme rejetée', '', 1, 0, ''),
  ('PA', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('PA', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('PA', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('PA', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('PA', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('PA', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('PA', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('PA', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('PA', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('PA', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('PA', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('PA', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('PA', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('PA', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('PA', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('PA', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('PA', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('PA', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('PA', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('PA', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('PA', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('PA', '560', 'Forme associée', '', 1, 0, NULL),
  ('PA', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('PA', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('PA', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('PA', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('PA', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('PA', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('PA', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('PA', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('PA', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('PA', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('PA', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('PA', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('PA', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('PA', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('PA', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('PA', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('PA', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('PA', '686', 'Autres classifications', '', 1, 0, NULL),
  ('PA', '750', 'Forme parallèle', '', 1, 0, ''),
  ('PA', '760', 'Forme parallèle – Lieu d’édition', '', 0, 0, ''),
  ('PA', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('PA', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('PA', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('PA', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('PA', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('PA', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('PA', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('PA', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('PA', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('PA', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('PERS', '001', 'Identificateur de la notice', '', 0, 1, NULL),
  ('PERS', '003', 'ARK', '', 0, 0, ''),
  ('PERS', '005', 'Identificateur de la version', '', 0, 1, NULL),
  ('PERS', '009', 'PPN', '', 0, 0, ''),
  ('PERS', '033', 'Autre ARK', '', 1, 0, ''),
  ('PERS', '035', 'Identificateur de la notice dans un autre système', '', 1, 0, ''),
  ('PERS', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('PERS', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('PERS', '102', 'Nationalité de l''entité', '', 0, 0, NULL),
  ('PERS', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('PERS', '152', 'Règles', '', 0, 0, NULL),
  ('PERS', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('PERS', '223', 'Vedette - Personnage', '', 1, 0, ''),
  ('PERS', '300', 'Note d''information', '', 1, 0, NULL),
  ('PERS', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL),
  ('PERS', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL),
  ('PERS', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('PERS', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('PERS', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('PERS', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('PERS', '356', 'Note géographique', '', 1, 0, ''),
  ('PERS', '423', 'Forme rejetée - Personnage', '', 1, 0, ''),
  ('PERS', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('PERS', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('PERS', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('PERS', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('PERS', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('PERS', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('PERS', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('PERS', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('PERS', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('PERS', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('PERS', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('PERS', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('PERS', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('PERS', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('PERS', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('PERS', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('PERS', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('PERS', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('PERS', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('PERS', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('PERS', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('PERS', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('PERS', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('PERS', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('PERS', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('PERS', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('PERS', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('PERS', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('PERS', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('PERS', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('PERS', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('PERS', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('PERS', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('PERS', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('PERS', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('PERS', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('PERS', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('PERS', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('PERS', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('PERS', '686', 'Autres classifications', '', 1, 0, NULL),
  ('PERS', '723', 'Forme parallèle - Personnage', '', 1, 0, ''),
  ('PERS', '801', 'Origine de la notice', '', 1, 1, ''),
  ('PERS', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('PERS', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('PERS', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('PERS', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('PERS', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('PERS', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('PERS', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('PERS', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('PERS', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('PUB', '001', 'Identificateur de la notice', '', 0, 1, NULL),
  ('PUB', '003', 'ARK', '', 0, 0, ''),
  ('PUB', '005', 'Identificateur de la version', '', 0, 1, NULL),
  ('PUB', '009', 'PPN', '', 0, 0, ''),
  ('PUB', '010', 'ISNI', '', 0, 0, ''),
  ('PUB', '033', 'Autre ARK', '', 1, 0, ''),
  ('PUB', '035', 'Identificateur de la notice dans un autre système', '', 1, 0, ''),
  ('PUB', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('PUB', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('PUB', '102', 'Nationalité de l''entité', '', 0, 0, NULL),
  ('PUB', '106', 'Zone de données codées : Nom de personne/Nom de collectivité/Famille/Marque/Editeur ou imprimeur', '', 0, 0, ''),
  ('PUB', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('PUB', '152', 'Règles', '', 0, 0, NULL),
  ('PUB', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('PUB', '217', 'Vedette - Editeur ou imprimeur', '', 1, 0, ''),
  ('PUB', '300', 'Note d''information', '', 1, 0, NULL),
  ('PUB', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL),
  ('PUB', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL),
  ('PUB', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('PUB', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('PUB', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('PUB', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('PUB', '341', 'Note d''activité en rapport avec l''éditeur ou l''imprimeur', '', 1, 0, NULL),
  ('PUB', '356', 'Note géographique', '', 1, 0, ''),
  ('PUB', '417', 'Forme rejetée - Editeur ou imprimeur', '', 1, 0, ''),
  ('PUB', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('PUB', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('PUB', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('PUB', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('PUB', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('PUB', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('PUB', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('PUB', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('PUB', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('PUB', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('PUB', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('PUB', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('PUB', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('PUB', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('PUB', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('PUB', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('PUB', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('PUB', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('PUB', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('PUB', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('PUB', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('PUB', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('PUB', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('PUB', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('PUB', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('PUB', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('PUB', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('PUB', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('PUB', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('PUB', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('PUB', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('PUB', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('PUB', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('PUB', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('PUB', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('PUB', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('PUB', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('PUB', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('PUB', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('PUB', '686', 'Autres classifications', '', 1, 0, NULL),
  ('PUB', '717', 'Forme parallèle - Editeur ou imprimeur', '', 1, 0, ''),
  ('PUB', '801', 'Origine de la notice', '', 1, 1, ''),
  ('PUB', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('PUB', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('PUB', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('PUB', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('PUB', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('PUB', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('PUB', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('PUB', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('PUB', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('SAUTTIT', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('SAUTTIT', '003', 'ARK', '', 0, 0, ''),
  ('SAUTTIT', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('SAUTTIT', '009', 'PPN', '', 0, 0, ''),
  ('SAUTTIT', '015', '(ISADN)', '', 0, 0, NULL),
  ('SAUTTIT', '033', 'Autre ARK', '', 1, 0, ''),
  ('SAUTTIT', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('SAUTTIT', '036', 'Incipit musique', '', 1, 0, ''),
  ('SAUTTIT', '050', 'ISTC', '', 0, 0, NULL),
  ('SAUTTIT', '051', 'ISWC', '', 0, 0, NULL),
  ('SAUTTIT', '052', 'ISAN', '', 0, 0, NULL),
  ('SAUTTIT', '061', 'ISRC', '', 0, 0, NULL),
  ('SAUTTIT', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('SAUTTIT', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('SAUTTIT', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('SAUTTIT', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('SAUTTIT', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('SAUTTIT', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('SAUTTIT', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('SAUTTIT', '127', 'Zone de données codées : Durée enreg. sonore, projections visuelles, compositions musciales et interprétations', '', 0, 0, ''),
  ('SAUTTIT', '128', 'Zone de données codées : Forme musicale de l''oeuvre et clé ou mode', '', 0, 0, NULL),
  ('SAUTTIT', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('SAUTTIT', '152', 'Règles', '', 0, 0, NULL),
  ('SAUTTIT', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('SAUTTIT', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('SAUTTIT', '240', 'Vedette', '', 1, 0, NULL),
  ('SAUTTIT', '300', 'Note d''information', '', 1, 0, NULL),
  ('SAUTTIT', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('SAUTTIT', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('SAUTTIT', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('SAUTTIT', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('SAUTTIT', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('SAUTTIT', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('SAUTTIT', '356', 'Note géographique', '', 0, 0, ''),
  ('SAUTTIT', '440', 'Forme rejetée', '', 1, 0, ''),
  ('SAUTTIT', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('SAUTTIT', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('SAUTTIT', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('SAUTTIT', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('SAUTTIT', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('SAUTTIT', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('SAUTTIT', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('SAUTTIT', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('SAUTTIT', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('SAUTTIT', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('SAUTTIT', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('SAUTTIT', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('SAUTTIT', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('SAUTTIT', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('SAUTTIT', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('SAUTTIT', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('SAUTTIT', '540', 'Forme associée', '', 1, 0, NULL),
  ('SAUTTIT', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('SAUTTIT', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('SAUTTIT', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('SAUTTIT', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('SAUTTIT', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('SAUTTIT', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('SAUTTIT', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('SAUTTIT', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('SAUTTIT', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('SAUTTIT', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('SAUTTIT', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('SAUTTIT', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('SAUTTIT', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('SAUTTIT', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('SAUTTIT', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('SAUTTIT', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('SAUTTIT', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('SAUTTIT', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('SAUTTIT', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('SAUTTIT', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('SAUTTIT', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('SAUTTIT', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('SAUTTIT', '686', 'Autres classifications', '', 1, 0, NULL),
  ('SAUTTIT', '740', 'Forme parallèle', '', 1, 0, NULL),
  ('SAUTTIT', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('SAUTTIT', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('SAUTTIT', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('SAUTTIT', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('SAUTTIT', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('SAUTTIT', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('SAUTTIT', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('SAUTTIT', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('SAUTTIT', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('SAUTTIT', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('SNC', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('SNC', '003', 'ARK', '', 0, 0, ''),
  ('SNC', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('SNC', '009', 'PPN', '', 0, 0, ''),
  ('SNC', '015', '(ISADN)', '', 0, 0, NULL),
  ('SNC', '033', 'Autre ARK', '', 1, 0, ''),
  ('SNC', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('SNC', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('SNC', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('SNC', '102', 'Nationalité de l''entité', '', 0, 1, NULL),
  ('SNC', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('SNC', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('SNC', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('SNC', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('SNC', '152', 'Règles', '', 0, 0, NULL),
  ('SNC', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('SNC', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('SNC', '250', 'Vedette-Matière nom commun', '', 1, 0, ''),
  ('SNC', '300', 'Note d''information', '', 1, 0, NULL),
  ('SNC', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('SNC', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('SNC', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('SNC', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('SNC', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('SNC', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('SNC', '356', 'Note géographique', '', 0, 1, NULL),
  ('SNC', '450', 'Forme rejetée', '', 1, 0, ''),
  ('SNC', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('SNC', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('SNC', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('SNC', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('SNC', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('SNC', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('SNC', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('SNC', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('SNC', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('SNC', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('SNC', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('SNC', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('SNC', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('SNC', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('SNC', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('SNC', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('SNC', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('SNC', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('SNC', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('SNC', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('SNC', '550', 'Forme associée', '', 1, 0, NULL),
  ('SNC', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('SNC', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('SNC', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('SNC', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('SNC', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('SNC', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('SNC', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('SNC', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('SNC', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('SNC', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('SNC', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('SNC', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('SNC', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('SNC', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('SNC', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('SNC', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('SNC', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('SNC', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('SNC', '686', 'Autres classifications', '', 1, 0, NULL),
  ('SNC', '750', 'Forme parallèle', '', 1, 0, ''),
  ('SNC', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('SNC', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('SNC', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('SNC', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('SNC', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('SNC', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('SNC', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('SNC', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('SNC', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('SNC', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('SNG', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('SNG', '003', 'ARK', '', 0, 0, ''),
  ('SNG', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('SNG', '009', 'PPN', '', 0, 0, ''),
  ('SNG', '015', '(ISADN)', '', 0, 0, NULL),
  ('SNG', '033', 'Autre ARK', '', 1, 0, ''),
  ('SNG', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('SNG', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('SNG', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('SNG', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('SNG', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('SNG', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('SNG', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('SNG', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('SNG', '152', 'Règles', '', 0, 0, NULL),
  ('SNG', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('SNG', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('SNG', '215', 'Vedette', '', 1, 0, ''),
  ('SNG', '300', 'Note d''information', '', 1, 0, NULL),
  ('SNG', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('SNG', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('SNG', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('SNG', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('SNG', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('SNG', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('SNG', '356', 'Note géographique', '', 0, 0, ''),
  ('SNG', '415', 'Forme rejetée', '', 1, 0, ''),
  ('SNG', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('SNG', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('SNG', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('SNG', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('SNG', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('SNG', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('SNG', '515', 'Forme associée', '', 1, 0, NULL),
  ('SNG', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('SNG', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('SNG', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('SNG', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('SNG', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('SNG', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('SNG', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('SNG', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('SNG', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('SNG', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('SNG', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('SNG', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('SNG', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('SNG', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('SNG', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('SNG', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('SNG', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('SNG', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('SNG', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('SNG', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('SNG', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('SNG', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('SNG', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('SNG', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('SNG', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('SNG', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('SNG', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('SNG', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('SNG', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('SNG', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('SNG', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('SNG', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('SNG', '686', 'Autres classifications', '', 1, 0, NULL),
  ('SNG', '715', 'Forme parallèle', '', 1, 0, ''),
  ('SNG', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('SNG', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('SNG', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('SNG', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('SNG', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('SNG', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('SNG', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('SNG', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('SNG', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('SNG', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('TM', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('TM', '003', 'ARK', '', 0, 0, ''),
  ('TM', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('TM', '009', 'PPN', '', 0, 0, ''),
  ('TM', '015', '(ISADN)', '', 0, 0, NULL),
  ('TM', '033', 'Autre ARK', '', 1, 0, ''),
  ('TM', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('TM', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('TM', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('TM', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('TM', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('TM', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('TM', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('TM', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('TM', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('TM', '152', 'Règles', '', 0, 0, NULL),
  ('TM', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('TM', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('TM', '216', 'Vedette Auteur Rubrique de classement', '', 0, 1, ''),
  ('TM', '300', 'Note d''information', '', 1, 0, NULL),
  ('TM', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('TM', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('TM', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('TM', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('TM', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('TM', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('TM', '356', 'Note géographique', '', 0, 0, ''),
  ('TM', '416', 'Forme rejetée', '', 1, 0, ''),
  ('TM', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('TM', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('TM', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('TM', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('TM', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('TM', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('TM', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('TM', '516', 'Forme associée', '', 1, 0, NULL),
  ('TM', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('TM', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('TM', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('TM', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('TM', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('TM', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('TM', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('TM', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('TM', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('TM', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('TM', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('TM', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('TM', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('TM', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('TM', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('TM', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('TM', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('TM', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('TM', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('TM', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('TM', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('TM', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('TM', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('TM', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('TM', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('TM', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('TM', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('TM', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('TM', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('TM', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('TM', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('TM', '686', 'Autres classifications', '', 1, 0, NULL),
  ('TM', '716', 'Forme parallèle – Marque', '', 0, 0, ''),
  ('TM', '750', 'Forme parallèle', '', 1, 0, ''),
  ('TM', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('TM', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('TM', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('TM', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('TM', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('TM', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('TM', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('TM', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('TM', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('TM', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('TU', '001', 'Identificateur de la notice', '', 0, 0, NULL),
  ('TU', '003', 'ARK', '', 0, 0, ''),
  ('TU', '005', 'Identificateur de la version', '', 0, 0, NULL),
  ('TU', '009', 'PPN', '', 0, 0, ''),
  ('TU', '015', '(ISADN)', '', 0, 0, NULL),
  ('TU', '033', 'Autre ARK', '', 1, 0, ''),
  ('TU', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL),
  ('TU', '036', 'Incipit musique', '', 1, 0, ''),
  ('TU', '050', 'ISTC', '', 0, 0, NULL),
  ('TU', '051', 'ISWC', '', 0, 0, NULL),
  ('TU', '052', 'ISAN', '', 0, 0, NULL),
  ('TU', '061', 'ISRC', '', 0, 0, NULL),
  ('TU', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('TU', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('TU', '102', 'Nationalité de l''entité', '', 0, 0, ''),
  ('TU', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL),
  ('TU', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL),
  ('TU', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL),
  ('TU', '127', 'Zone de données codées : Durée enreg. sonore, projections visuelles, compositions musciales et interprétations', '', 0, 0, ''),
  ('TU', '128', 'Zone de données codées : Forme musicale de l''oeuvre et clé ou mode', '', 0, 0, NULL),
  ('TU', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL),
  ('TU', '152', 'Règles', '', 0, 0, NULL),
  ('TU', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('TU', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('TU', '230', 'Vedette', '', 1, 0, NULL),
  ('TU', '300', 'Note d''information', '', 1, 0, NULL),
  ('TU', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL),
  ('TU', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL),
  ('TU', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('TU', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('TU', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('TU', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('TU', '356', 'Note géographique', '', 0, 0, ''),
  ('TU', '430', 'Forme rejetée', '', 1, 0, NULL),
  ('TU', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('TU', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('TU', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('TU', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('TU', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('TU', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('TU', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('TU', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('TU', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('TU', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('TU', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('TU', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('TU', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('TU', '530', 'Forme associée', '', 1, 0, NULL),
  ('TU', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('TU', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('TU', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('TU', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('TU', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('TU', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('TU', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('TU', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('TU', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('TU', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('TU', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('TU', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('TU', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('TU', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('TU', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('TU', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('TU', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('TU', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('TU', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('TU', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('TU', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('TU', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('TU', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('TU', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('TU', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('TU', '686', 'Autres classifications', '', 1, 0, NULL),
  ('TU', '730', 'Forme parallèle', '', 1, 0, ''),
  ('TU', '801', 'Origine de la notice', '', 0, 1, NULL),
  ('TU', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('TU', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('TU', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('TU', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('TU', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('TU', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('TU', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('TU', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('TU', '886', 'Données non converties du format source', '', 1, 0, NULL),
  ('WORK', '001', 'Identificateur de la notice', '', 0, 1, NULL),
  ('WORK', '003', 'ARK', '', 0, 0, ''),
  ('WORK', '005', 'Identificateur de la version', '', 0, 1, NULL),
  ('WORK', '009', 'PPN', '', 0, 0, ''),
  ('WORK', '033', 'Autre ARK', '', 1, 0, ''),
  ('WORK', '035', 'Identificateur de la notice dans un autre système', '', 1, 0, ''),
  ('WORK', '036', 'Incipit musique', '', 1, 0, ''),
  ('WORK', '050', 'ISTC', '', 0, 0, NULL),
  ('WORK', '051', 'ISWC', '', 0, 0, NULL),
  ('WORK', '052', 'ISAN', '', 0, 0, NULL),
  ('WORK', '061', 'ISRC', '', 0, 0, NULL),
  ('WORK', '100', 'Données générales de traitement', '', 0, 1, NULL),
  ('WORK', '101', 'Langue de l''entité', '', 0, 0, NULL),
  ('WORK', '102', 'Nationalité de l''entité', '', 0, 0, NULL),
  ('WORK', '122', 'Zone de données codées : Période historique', '', 0, 0, NULL),
  ('WORK', '127', 'Zone de données codées : Durée enreg. sonore, projections visuelles, compositions musciales et interprétations', '', 0, 0, ''),
  ('WORK', '128', 'Zone de données codées : Forme musicale de l''oeuvre et clé ou mode', '', 0, 0, NULL),
  ('WORK', '152', 'Règles', '', 0, 0, NULL),
  ('WORK', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL),
  ('WORK', '160', 'Code d''aire géographique', '', 0, 0, NULL),
  ('WORK', '231', 'Vedette - Titre (oeuvre)', '', 1, 0, ''),
  ('WORK', '300', 'Note d''information', '', 1, 0, NULL),
  ('WORK', '305', 'Note de renvoi textuel "Voir aussi"', '', 1, 0, NULL),
  ('WORK', '310', 'Note de renvoi textuel "Voir"', '', 1, 0, NULL),
  ('WORK', '320', 'Note de renvoi explicatif', '', 1, 0, NULL),
  ('WORK', '330', 'Note sur le champ d''application', '', 1, 0, NULL),
  ('WORK', '333', 'Note sur le public destinataire', '', 1, 0, NULL),
  ('WORK', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL),
  ('WORK', '356', 'Note géographique', '', 1, 0, ''),
  ('WORK', '431', 'Forme rejetée - Titre (oeuvre)', '', 1, 0, ''),
  ('WORK', '500', 'Forme associée - Nom de personne', '', 1, 0, ''),
  ('WORK', '501', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('WORK', '502', 'Forme associée - Nom de personne responsable de associé à l''expression', '', 1, 0, ''),
  ('WORK', '510', 'Forme associée - Collectivité', '', 1, 0, ''),
  ('WORK', '511', 'Forme associée - Nom de personne responsable de l''oeuvre', '', 1, 0, ''),
  ('WORK', '512', 'Forme associée - Nom de collectivité associé à l''expression', '', 1, 0, ''),
  ('WORK', '515', 'Forme associée - Nom de territoire ou nom géographique', '', 1, 0, ''),
  ('WORK', '516', 'Forme associée - Marque', '', 1, 0, ''),
  ('WORK', '517', 'Forme associée - Editeur ou imprimeur', '', 1, 0, ''),
  ('WORK', '520', 'Forme associée - Famille', '', 1, 0, ''),
  ('WORK', '521', 'Forme associée - Famille responsable de l''oeuvre', '', 1, 0, ''),
  ('WORK', '522', 'Forme associée - Famille associée à l''expression', '', 1, 0, ''),
  ('WORK', '523', 'Forme associée - Personnage', '', 1, 0, ''),
  ('WORK', '530', 'Forme associée - Titre uniforme', '', 1, 0, ''),
  ('WORK', '531', 'Forme associée - Titre (oeuvre)', '', 1, 0, ''),
  ('WORK', '532', 'Forme associée - Titre (expression)', '', 1, 0, ''),
  ('WORK', '540', 'Forme associée - Auteur/Titre', '', 1, 0, ''),
  ('WORK', '541', 'Forme associée - Nom/Titre (oeuvre)', '', 1, 0, ''),
  ('WORK', '542', 'Forme associée - Nom/Titre (expression)', '', 1, 0, ''),
  ('WORK', '545', 'Forme associée - Auteur/Rubrique de classement', '', 1, 0, ''),
  ('WORK', '550', 'Forme associée - Matière nom commun', '', 1, 0, ''),
  ('WORK', '560', 'Forme associée - Lieu d''édition', '', 1, 0, ''),
  ('WORK', '580', 'Forme associée - Forme, genre ou caractéristique physique', '', 1, 0, ''),
  ('WORK', '600', 'Point d''accès sujet - Nom de personne', '', 1, 0, NULL),
  ('WORK', '601', 'Point d''accès sujet - Collectivité', '', 1, 0, NULL),
  ('WORK', '602', 'Point d''accès sujet - Famille', '', 1, 0, NULL),
  ('WORK', '606', 'Point d''accès sujet - Nom commun', '', 1, 0, NULL),
  ('WORK', '607', 'Point d''accès sujet - Nom géographique', '', 1, 0, NULL),
  ('WORK', '610', 'Point d''accès sujet - Sujet non contrôllé', '', 1, 0, NULL),
  ('WORK', '616', 'Point d''accès sujet - Marque', '', 1, 0, NULL),
  ('WORK', '617', 'Point d''accès sujet - Nom géographique hiérarchisé', '', 1, 0, NULL),
  ('WORK', '631', 'Point d''accès sujet - Titre (oeuvre)', '', 1, 0, NULL),
  ('WORK', '632', 'Point d''accès sujet - Titre (expression)', '', 1, 0, NULL),
  ('WORK', '640', 'Point d''accès sujet - Lieu', '', 1, 0, NULL),
  ('WORK', '641', 'Point d''accès sujet - Nom/Titre (oeuvre)', '', 1, 0, NULL),
  ('WORK', '642', 'Point d''accès sujet - Nom/Titre (expression)', '', 1, 0, NULL),
  ('WORK', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL),
  ('WORK', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL),
  ('WORK', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL),
  ('WORK', '686', 'Autres classifications', '', 1, 0, NULL),
  ('WORK', '731', 'Forme parallèle - Titre (oeuvre)', '', 1, 0, ''),
  ('WORK', '801', 'Origine de la notice', '', 1, 1, ''),
  ('WORK', '810', 'Sources consultées avec profit', '', 1, 0, NULL),
  ('WORK', '815', 'Sources consultées en vain', '', 0, 0, NULL),
  ('WORK', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL),
  ('WORK', '825', 'Citation dans une autre notice', '', 1, 0, NULL),
  ('WORK', '830', 'Note générale de travail', '', 1, 0, NULL),
  ('WORK', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL),
  ('WORK', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL),
  ('WORK', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL),
  ('WORK', '886', 'Données non converties du format source', '', 1, 0, NULL);

-- 
-- Contenu de la table `auth_subfield_structure`
-- 

INSERT IGNORE INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES
  ('', '001', '@', 'tag 001', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '010', '6', 'Données de lien', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '010', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '010', 'y', 'ISNI abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '010', 'z', 'ISNI erroné', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '015', '@', 'tag 015', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', '2', 'Code du système d\'indexation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'a', 'Numéro d\'oeuvre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'b', 'Numéro de mouvement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'c', 'Numéro d\'incipit', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'd', 'Voix / instrument', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'e', 'Rôle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'f', 'Titre/légende du mouvement', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'g', 'Clé ou mode', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'm', 'Clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'n', 'Signature de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'o', 'Durée de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'p', 'Notation musicale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'q', 'Commentaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'r', 'Note codée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 't', 'Texte de l\'incipit', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '036', 'z', 'Langue du texte', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '050', 'a', 'ISTC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '050', 'z', 'ISTC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '051', 'a', 'ISWC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '051', 'z', 'ISWC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '052', 'a', 'ISAN', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '052', 'z', 'ISAN annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '061', 'a', 'ISRC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '061', 'z', 'ISRC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '100', 'a', 'Données générale de traitement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '106', 'a', 'Code d\'un caractère', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '120', 'a', 'Données codées : nom de personne', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'q', 'Coordonnée-Longitude la plus occidentale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 'r', 'Coordonnée-Longitude la plus orientale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 's', 'Coordonnée-Latitude la plus septentrionale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '123', 't', 'Coordonnée-Latitude la plus méridionale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '127', 'a', 'Durée', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '128', 'a', 'Forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '128', 'd', 'Clé musicale ou tonalité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '200', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', '6', 'Données liées', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'k', 'Qualificatif d\'attribution', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', '6', 'Données liées', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '215', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '215', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '215', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '215', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '215', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '215', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '215', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '216', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '216', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '216', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '217', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'b', 'Devise', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'c', 'Citation', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'd', 'Taille', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'g', 'Iconographie', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '217', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '220', '6', 'Données liées', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '220', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '220', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'o', 'ISNI', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '220', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '223', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '223', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '223', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'm', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'w', 'Mention d\'arrangement', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'a', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'c', 'Forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'd', 'Date', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'f', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '231', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'a', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'c', 'Forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'd', 'Date', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'f', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '232', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '235', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '235', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '235', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '235', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'e', 'Subdivision', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '235', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'r', 'Distribution d’exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 's', 'Références numériques (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'w', 'Mention d\'arrangement', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '235', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '235', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '240', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'a', 'Auteur', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 't', 'Titre', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '240', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '241', '3', 'Numéro d\'autorité pour le nom associé à l\'oeuvre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '241', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('', '241', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '241', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', '3', 'Numéro d\'autorité pour l\'oeuvre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '242', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('', '242', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '242', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '245', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '245', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '245', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '245', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '245', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '245', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '245', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '245', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '250', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'b', 'Statut', '', 0, 0, 0, 'CAND', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '250', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '260', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '260', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '260', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '260', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '260', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '260', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '280', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '280', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '280', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '280', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '280', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '280', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '280', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '300', 'a', 'Note d\'information', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '305', 'a', 'Formule introductive', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '330', 'a', 'Note sur le champ d\'application', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '341', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '341', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '341', 'a', 'Lieu', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '341', 'b', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '341', 'c', 'Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '341', 'd', 'Signature', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '400', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '400', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '410', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '415', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '416', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '416', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '416', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '416', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '416', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '416', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '416', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '416', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '416', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '417', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'b', 'Devise', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'c', 'Citation', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'd', 'Taille', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'g', 'Iconographie', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '417', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '420', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '420', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '420', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'o', 'ISNI', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '420', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '423', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '423', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '423', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '430', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'a', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'c', 'Forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'd', 'Date', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'f', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '431', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'a', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'c', 'Forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'd', 'Date', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'f', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '432', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '7', 'Ecriture de catalogage et écriture de la racine de la vedette      0      0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', '8', 'Langue de catalogage et langue de la racine de la vedette      0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'a', 'Auteur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'c', 'qualificatif', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'd', 'numérotation (chiffres romains)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 't', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '440', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '441', '3', 'Numéro d\'autorité pour le nom associé à l\'oeuvre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '441', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('', '441', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '441', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', '3', 'Numéro d\'autorité pour l\'oeuvre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '442', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('', '442', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '442', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '445', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '445', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '445', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '445', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '445', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '450', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '450', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '460', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '460', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '460', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '460', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '460', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '460', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '460', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '460', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '460', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '460', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '460', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '460', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '480', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '480', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '480', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '480', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '480', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'j', 'subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '516', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '516', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '520', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, 'AUT_LIEN', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 'j', 'Subdivision de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '545', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '545', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '560', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '580', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '580', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '680', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '686', 'b', 'Indice , fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '686', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '700', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '700', 'b', 'Partie du nom autre que l’élément d’entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'c', 'Qualificatifs autres que les dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'o', 'ISNI', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '700', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '710', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', '3', 'Identificateur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '710', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'o', 'ISNI', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '710', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '710', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '715', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '715', '3', 'Identificateur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '715', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '715', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '716', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '716', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '717', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PUB', ''),
  ('', '717', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '717', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '720', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'o', 'ISNI', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '720', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '723', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '723', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '723', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '723', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '723', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '723', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '723', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '723', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '723', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '730', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '730', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '730', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '730', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '730', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'n', 'Autres informations', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'q', 'Version (ou date d’une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'r', 'Distribution d’exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'w', 'Mention d’arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '730', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '731', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('', '731', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '731', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '732', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('', '732', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '732', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '740', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '740', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '740', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '740', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '740', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '740', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '741', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('', '741', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('', '741', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '741', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '742', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('', '742', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('', '742', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '742', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '745', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '745', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '745', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '750', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '750', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '750', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '750', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '750', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '750', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '750', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '750', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '750', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '750', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '760', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '760', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '760', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '780', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('', '780', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('', '780', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '780', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '815', 'a', 'Citation', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '820', 'a', 'Texte de la note', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '825', 'a', 'Texte de la note', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '835', 'b', 'Vedette de remplacement', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '835', 'd', 'Date de la transaction', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'j', 'Bits par seconde', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'x', 'Note confidentielle', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('AUTTIT', '005', '@', 'Date de création', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('AUTTIT', '240', '1', 'Zone imbriquée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('AUTTIT', '240', '7', 'Ecriture de catalogage', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', '8', 'Langue de catalogage', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'a', 'Element d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'b', 'Sous zone b', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '240', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '356', 'a', 'Note géo', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('AUTTIT', '540', '3', 'N autorité bnf', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', '5', 'Type de lien', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, '', '', ''),
  ('AUTTIT', '540', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'a', 'Element d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'AUTTIT', ''),
  ('AUTTIT', '540', 'b', 'Sous zone b', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '540', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('AUTTIT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('AUTTIT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('AUTTIT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('CLASS', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', '2', 'Code du système d\'indexation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'a', 'Numéro d\'oeuvre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'b', 'Numéro de mouvement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'c', 'Numéro d\'incipit', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'd', 'Voix / instrument', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'e', 'Rôle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'f', 'Titre/légende du mouvement', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'g', 'Clé ou mode', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'm', 'Clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'n', 'Signature de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'o', 'Durée de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'p', 'Notation musicale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'q', 'Commentaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'r', 'Note codée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 't', 'Texte de l\'incipit', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '036', 'z', 'Langue du texte', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('CLASS', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '106', 'a', 'Code d\'un caractère', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('CLASS', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'e', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'm', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'w', 'Mention d\'arrangement', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '235', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '245', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '245', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '245', 'a', 'Auteur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '245', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '245', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '245', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '245', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '245', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '445', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '445', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '445', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '445', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '445', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '445', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '445', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '445', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '445', 'a', 'Auteur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '445', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '445', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '445', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '445', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '445', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('CLASS', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('CLASS', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('CLASS', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('CLASS', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CLASS', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('CLASS', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CLASS', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('CLASS', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('CLASS', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('CLASS', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('CLASS', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('CLASS', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('CLASS', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('CLASS', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('CLASS', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('CLASS', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CLASS', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('CLASS', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('CLASS', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('CLASS', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CLASS', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('CLASS', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('CLASS', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('CLASS', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('CLASS', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('CLASS', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('CLASS', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('CLASS', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CLASS', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('CLASS', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('CLASS', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('CLASS', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('CLASS', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('CLASS', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('CLASS', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('CLASS', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('CLASS', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('CLASS', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CLASS', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CLASS', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CLASS', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CLASS', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('CLASS', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('CLASS', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('CLASS', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('CLASS', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('CLASS', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('CLASS', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '745', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CLASS', '745', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '745', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '745', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '745', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '745', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '745', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '745', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('CLASS', '745', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '745', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('CLASS', '745', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '745', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '745', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('CLASS', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('CLASS', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CLASS', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CLASS', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '010', '6', 'Données de lien', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '010', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '010', 'y', 'ISNI abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '010', 'z', 'ISNI erroné', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '210', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '210', '4', 'Code de fonction', '', 1, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', '6', 'Données liées', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '330', 'a', 'Note sur le champ d\'application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '410', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('CO', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('CO', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('CO', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('CO', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('CO', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'j', 'subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CO', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('CO', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('CO', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('CO', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('CO', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('CO', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('CO', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('CO', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('CO', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('CO', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CO', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('CO', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('CO', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('CO', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CO', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('CO', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('CO', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('CO', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('CO', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('CO', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('CO', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('CO', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CO', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('CO', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('CO', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('CO', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('CO', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('CO', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('CO', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('CO', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('CO', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('CO', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CO', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CO', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CO', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('CO', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('CO', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('CO', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('CO', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('CO', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('CO', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('CO', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '710', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'o', 'ISNI', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO', '710', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '710', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('CO', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('CO', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('CO', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, '', '', NULL),
  ('CO_UNI_TI', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '235', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO_UNI_TI', '235', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'a', 'Rubrique de classement', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'e', 'Subdivision', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'm', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'w', 'Mention d\'arrangement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '235', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '435', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO_UNI_TI', '435', '2', 'code du système d\'indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'e', 'Subdivision', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'k', 'date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '435', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('CO_UNI_TI', '535', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO_UNI_TI', ''),
  ('CO_UNI_TI', '535', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '535', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('CO_UNI_TI', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '730', 'z', 'Subdiv. chronologique', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, '', '', NULL),
  ('CO_UNI_TI', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('CO_UNI_TI', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('EXP', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '106', 'a', 'Code d\'un caractère', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('EXP', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'a', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'c', 'Forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'd', 'Date', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'f', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '232', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'a', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'c', 'Forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'd', 'Date', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'f', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '432', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('EXP', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('EXP', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('EXP', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('EXP', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('EXP', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('EXP', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('EXP', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('EXP', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('EXP', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('EXP', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('EXP', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('EXP', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('EXP', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('EXP', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('EXP', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('EXP', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('EXP', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('EXP', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('EXP', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('EXP', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('EXP', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('EXP', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('EXP', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('EXP', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('EXP', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('EXP', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('EXP', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('EXP', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('EXP', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('EXP', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('EXP', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('EXP', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('EXP', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('EXP', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('EXP', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('EXP', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('EXP', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('EXP', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('EXP', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('EXP', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('EXP', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('EXP', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('EXP', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('EXP', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('EXP', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('EXP', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('EXP', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('EXP', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('EXP', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '732', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('EXP', '732', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('EXP', '732', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '732', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('EXP', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('EXP', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('EXP', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('EXP', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FA', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '220', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FA', '220', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '220', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '220', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '220', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '330', 'a', 'Note sur le champ d\'application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '420', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '520', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FA', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FA', ''),
  ('FA', '520', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FA', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '750', 'z', 'Subdivision', '', 0, 1, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FA', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('FA', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('FA', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('FA', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FA', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '010', '6', 'Données de lien', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '010', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '010', 'y', 'ISNI abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '010', 'z', 'ISNI erroné', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('FAM', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '106', 'a', 'Code d\'un caractère', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('FAM', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '220', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '220', '6', 'Données liées', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '220', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'o', 'ISNI', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '220', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '420', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '420', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '420', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'o', 'ISNI', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '420', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('FAM', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('FAM', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('FAM', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('FAM', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('FAM', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('FAM', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('FAM', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('FAM', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('FAM', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('FAM', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('FAM', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('FAM', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', '9', 'Numéro autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'a', 'Element d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('FAM', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '520', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('FAM', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('FAM', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('FAM', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('FAM', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('FAM', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('FAM', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('FAM', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('FAM', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('FAM', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('FAM', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('FAM', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('FAM', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('FAM', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('FAM', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('FAM', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('FAM', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('FAM', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('FAM', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('FAM', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('FAM', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('FAM', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('FAM', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('FAM', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('FAM', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('FAM', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('FAM', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('FAM', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('FAM', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('FAM', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('FAM', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('FAM', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('FAM', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('FAM', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('FAM', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('FAM', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('FAM', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '720', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('FAM', '720', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '720', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('FAM', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('FAM', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('FAM', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('FAM', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('GENRE/FORM', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('GENRE/FORM', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '280', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '280', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '280', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '480', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '480', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '480', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '480', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '480', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '480', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('GENRE/FORM', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('GENRE/FORM', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('GENRE/FORM', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('GENRE/FORM', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('GENRE/FORM', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('GENRE/FORM', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('GENRE/FORM', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('GENRE/FORM', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('GENRE/FORM', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('GENRE/FORM', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('GENRE/FORM', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('GENRE/FORM', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('GENRE/FORM', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('GENRE/FORM', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('GENRE/FORM', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('GENRE/FORM', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('GENRE/FORM', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('GENRE/FORM', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('GENRE/FORM', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('GENRE/FORM', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('GENRE/FORM', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('GENRE/FORM', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('GENRE/FORM', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('GENRE/FORM', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('GENRE/FORM', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('GENRE/FORM', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('GENRE/FORM', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('GENRE/FORM', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('GENRE/FORM', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('GENRE/FORM', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('GENRE/FORM', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('GENRE/FORM', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '580', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', 'a', 'Element d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'GENRE/FORM', ''),
  ('GENRE/FORM', '580', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '580', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('GENRE/FORM', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('GENRE/FORM', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('GENRE/FORM', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('GENRE/FORM', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('GENRE/FORM', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('GENRE/FORM', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('GENRE/FORM', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('GENRE/FORM', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('GENRE/FORM', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('GENRE/FORM', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('GENRE/FORM', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('GENRE/FORM', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('GENRE/FORM', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('GENRE/FORM', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('GENRE/FORM', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '780', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '780', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '780', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('GENRE/FORM', '780', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '780', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('GENRE/FORM', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('GENRE/FORM', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('GENRE/FORM', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('GENRE/FORM', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NAME_COL', '245', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NAME_COL', '245', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '245', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '245', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '245', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '245', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NAME_COL', '445', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '445', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NAME_COL', '545', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NAME_COL', ''),
  ('NAME_COL', '545', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '545', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', '3', 'Identificateur de la notice d’autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NAME_COL', '745', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NAME_COL', '745', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '010', '6', 'Données de lien', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '010', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '010', 'y', 'ISNI abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '010', 'z', 'ISNI erroné', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '200', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '200', '4', 'Code de fonction', '', 1, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', '6', 'Données liées', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'k', 'Qualificatif d\'attribution', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '330', 'a', 'Note sur le champ d\'application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '2', 'code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '400', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '500', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '4', 'Code de fonction', '', 1, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 5, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NP', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NP', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('NP', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NP', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NP', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('NP', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NP', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('NP', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('NP', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('NP', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('NP', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('NP', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NP', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('NP', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NP', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NP', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NP', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('NP', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('NP', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('NP', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NP', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('NP', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NP', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NP', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NP', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NP', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('NP', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('NP', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NP', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('NP', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('NP', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('NP', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('NP', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NP', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('NP', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NP', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('NP', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('NP', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NP', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NP', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NP', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NP', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('NP', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('NP', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NP', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NP', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NP', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NP', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NP', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '700', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'b', 'Partie du nom autre que l\'élément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'c', 'Qualif autre que dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'o', 'ISNI', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NP', '700', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '700', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NP', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('NP', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('NP', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('NP', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NP', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', '2', 'Code du système d\'indexation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'a', 'Numéro d\'oeuvre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'b', 'Numéro de mouvement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'c', 'Numéro d\'incipit', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'd', 'Voix / instrument', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'e', 'Rôle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'f', 'Titre/légende du mouvement', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'g', 'Clé ou mode', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'm', 'Clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'n', 'Signature de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'o', 'Durée de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'p', 'Notation musicale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'q', 'Commentaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'r', 'Note codée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 't', 'Texte de l\'incipit', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '036', 'z', 'Langue du texte', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '050', 'a', 'ISTC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '050', 'z', 'ISTC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '051', 'a', 'ISWC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '051', 'z', 'ISWC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '052', 'a', 'ISAN', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '052', 'z', 'ISAN annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '061', 'a', 'ISRC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '061', 'z', 'ISRC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('NTEXP', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '106', 'a', 'Code d\'un caractère', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '127', 'a', 'Durée', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '128', 'a', 'Forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '128', 'd', 'Clé musicale ou tonalité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('NTEXP', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '154', 'a', 'Données générales de traitement du titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '242', '3', 'Numéro d\'autorité pour l\'oeuvre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '242', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTEXP', '242', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '242', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '400', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '442', '3', 'Numéro d\'autorité pour l\'oeuvre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '442', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTEXP', '442', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '442', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NTEXP', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NTEXP', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('NTEXP', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NTEXP', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTEXP', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('NTEXP', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTEXP', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('NTEXP', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('NTEXP', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('NTEXP', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('NTEXP', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('NTEXP', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NTEXP', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('NTEXP', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NTEXP', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NTEXP', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTEXP', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('NTEXP', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('NTEXP', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('NTEXP', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTEXP', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('NTEXP', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTEXP', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTEXP', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTEXP', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTEXP', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('NTEXP', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('NTEXP', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTEXP', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('NTEXP', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('NTEXP', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('NTEXP', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('NTEXP', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NTEXP', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('NTEXP', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NTEXP', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('NTEXP', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('NTEXP', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTEXP', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTEXP', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTEXP', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTEXP', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('NTEXP', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('NTEXP', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTEXP', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTEXP', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTEXP', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTEXP', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '742', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTEXP', '742', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTEXP', '742', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTEXP', '742', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '742', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('NTEXP', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('NTEXP', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTEXP', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTEXP', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', '2', 'Code du système d\'indexation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'a', 'Numéro d\'oeuvre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'b', 'Numéro de mouvement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'c', 'Numéro d\'incipit', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'd', 'Voix / instrument', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'e', 'Rôle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'f', 'Titre/légende du mouvement', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'g', 'Clé ou mode', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'm', 'Clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'n', 'Signature de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'o', 'Durée de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'p', 'Notation musicale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'q', 'Commentaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'r', 'Note codée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 't', 'Texte de l\'incipit', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '036', 'z', 'Langue du texte', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '050', 'a', 'ISTC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '050', 'z', 'ISTC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '051', 'a', 'ISWC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '051', 'z', 'ISWC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '052', 'a', 'ISAN', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '052', 'z', 'ISAN annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '061', 'a', 'ISRC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '061', 'z', 'ISRC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('NTWORK', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '127', 'a', 'Durée', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '128', 'a', 'Forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '128', 'd', 'Clé musicale ou tonalité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('NTWORK', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '154', 'a', 'Données générales de traitement du titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '241', '3', 'Numéro d\'autorité pour le nom associé à l\'oeuvre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '241', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NTWORK', '241', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '241', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '442', '3', 'Numéro d\'autorité pour l\'oeuvre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '442', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTWORK', '442', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '442', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NTWORK', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NTWORK', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('NTWORK', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NTWORK', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTWORK', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('NTWORK', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTWORK', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('NTWORK', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('NTWORK', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('NTWORK', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('NTWORK', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('NTWORK', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NTWORK', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('NTWORK', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NTWORK', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NTWORK', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTWORK', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('NTWORK', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('NTWORK', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('NTWORK', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTWORK', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('NTWORK', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTWORK', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTWORK', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTWORK', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTWORK', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('NTWORK', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('NTWORK', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTWORK', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('NTWORK', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('NTWORK', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('NTWORK', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('NTWORK', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('NTWORK', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('NTWORK', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('NTWORK', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('NTWORK', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('NTWORK', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTWORK', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTWORK', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTWORK', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('NTWORK', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('NTWORK', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('NTWORK', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTWORK', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTWORK', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTWORK', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('NTWORK', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '741', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('NTWORK', '741', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTWORK', '741', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('NTWORK', '741', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '741', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('NTWORK', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('NTWORK', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('NTWORK', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('NTWORK', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('PA', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '123', 'd', 'Coordonnée-Longitude la plus occidentale (forme sexagésimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '123', 'e', 'Coordonnée-Longitude la plus orientale (forme sexagésimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '123', 'f', 'Coordonnée-Latitude la plus septentrionale (forme sexagésimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '123', 'g', 'Coordonnée-Latitude la plus méridionale (forme sexagésimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '123', 'q', 'Coordonnée-Longitude la plus occidentale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '123', 'r', 'Coordonnée-Longitude la plus orientale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '123', 's', 'Coordonnée-Latitude la plus septentrionale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '123', 't', 'Coordonnée-Latitude la plus méridionale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('PA', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '260', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '260', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '260', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '460', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '460', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '460', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '460', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '460', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '460', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PA', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PA', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('PA', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PA', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PA', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('PA', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PA', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('PA', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('PA', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('PA', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('PA', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('PA', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PA', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('PA', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PA', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PA', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PA', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('PA', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('PA', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('PA', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PA', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('PA', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PA', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PA', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PA', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PA', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('PA', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('PA', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PA', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('PA', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', 'a', 'Element d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('PA', '560', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('PA', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PA', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('PA', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PA', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('PA', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PA', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('PA', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PA', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PA', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PA', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PA', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('PA', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('PA', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PA', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PA', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PA', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PA', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '760', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '760', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PA', '760', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '760', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('PA', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('PA', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PA', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PA', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('PERS', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('PERS', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '223', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '223', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '223', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '423', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '423', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '423', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PERS', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PERS', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('PERS', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PERS', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PERS', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('PERS', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PERS', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('PERS', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('PERS', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('PERS', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('PERS', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('PERS', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PERS', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('PERS', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PERS', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PERS', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PERS', ''),
  ('PERS', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PERS', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('PERS', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('PERS', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('PERS', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PERS', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('PERS', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PERS', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PERS', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PERS', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PERS', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('PERS', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('PERS', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PERS', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('PERS', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('PERS', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('PERS', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('PERS', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PERS', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('PERS', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PERS', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('PERS', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('PERS', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PERS', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PERS', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PERS', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PERS', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('PERS', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('PERS', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PERS', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PERS', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PERS', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PERS', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PERS', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '723', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '723', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '723', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '723', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '723', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '723', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '723', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PERS', ''),
  ('PERS', '723', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '723', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PERS', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('PERS', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('PERS', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PERS', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PERS', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '010', '6', 'Données de lien', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '010', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '010', 'y', 'ISNI abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '010', 'z', 'ISNI erroné', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('PUB', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '106', 'a', 'Code d\'un caractère', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('PUB', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'b', 'Devise', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'c', 'Citation', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'd', 'Taille', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'g', 'Iconographie', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '217', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '341', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '341', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '341', 'a', 'Lieu', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '341', 'b', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '341', 'c', 'Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '341', 'd', 'Signature', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'b', 'Devise', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'c', 'Citation', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'd', 'Taille', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'g', 'Iconographie', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '417', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PUB', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PUB', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('PUB', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PUB', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PUB', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('PUB', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PUB', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('PUB', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('PUB', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('PUB', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('PUB', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('PUB', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PUB', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('PUB', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PUB', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PUB', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PUB', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('PUB', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('PUB', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('PUB', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PUB', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('PUB', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PUB', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PUB', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PUB', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PUB', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('PUB', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('PUB', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PUB', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('PUB', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('PUB', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('PUB', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('PUB', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('PUB', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('PUB', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('PUB', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('PUB', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('PUB', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('PUB', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PUB', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PUB', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PUB', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('PUB', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('PUB', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('PUB', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PUB', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('PUB', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PUB', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('PUB', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '717', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('PUB', '717', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PUB', ''),
  ('PUB', '717', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '717', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('PUB', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('PUB', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('PUB', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('PUB', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'b', 'Partie du nom autre que l\'élément d\'entré', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '330', 'a', 'Note sur le champ d\'application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '2', 'code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '4', 'Code de fonction', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '400', 'z', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'b', 'Partie du nom autre que l\'élément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'c', 'Qualif autre que dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '700', 'z', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUT', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '005', '@', 'tag 005', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', '2', 'Code du système d\'indexation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'a', 'Numéro d\'oeuvre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'b', 'Numéro de mouvement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'c', 'Numéro d\'incipit', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'd', 'Voix / instrument', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'e', 'Rôle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'f', 'Titre/légende du mouvement', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'g', 'Clé ou mode', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'm', 'Clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'n', 'Signature de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'o', 'Durée de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'p', 'Notation musicale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'q', 'Commentaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'r', 'Note codée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 't', 'Texte de l\'incipit', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '036', 'z', 'Langue du texte', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '050', 'a', 'ISTC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '050', 'z', 'ISTC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '051', 'a', 'ISWC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '051', 'z', 'ISWC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '052', 'a', 'ISAN', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '052', 'z', 'ISAN annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '061', 'a', 'ISRC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '061', 'z', 'ISRC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '127', 'a', 'Durée', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '128', 'a', 'Forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '128', 'd', 'Clé musicale ou tonalité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'a', 'Auteur', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 't', 'Titre', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '240', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '330', 'a', 'Note sur le champ d\'application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '7', 'Ecriture de catalogage et écriture de la racine de la vedette      0      0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', '8', 'Langue de catalogage et langue de la racine de la vedette      0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'a', 'Auteur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'c', 'qualificatif', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'd', 'numérotation (chiffres romains)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 't', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '440', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SAUTTIT', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SAUTTIT', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('SAUTTIT', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SAUTTIT', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SAUTTIT', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('SAUTTIT', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SAUTTIT', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('SAUTTIT', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('SAUTTIT', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('SAUTTIT', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('SAUTTIT', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('SAUTTIT', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SAUTTIT', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('SAUTTIT', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SAUTTIT', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SAUTTIT', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SAUTTIT', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('SAUTTIT', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('SAUTTIT', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('SAUTTIT', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '540', '0', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, -1, 'AUT_LIEN', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SAUTTIT', '540', 'a', 'Auteur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 'j', 'Subdivision de forme', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 't', 'Titre', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 'x', 'Subdiv. de sujet', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 'y', 'Subdiv. géographique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '540', 'z', 'Subdiv. chronologique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SAUTTIT', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SAUTTIT', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SAUTTIT', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SAUTTIT', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('SAUTTIT', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('SAUTTIT', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SAUTTIT', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('SAUTTIT', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('SAUTTIT', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('SAUTTIT', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('SAUTTIT', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SAUTTIT', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('SAUTTIT', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SAUTTIT', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('SAUTTIT', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('SAUTTIT', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SAUTTIT', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SAUTTIT', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SAUTTIT', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SAUTTIT', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('SAUTTIT', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('SAUTTIT', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SAUTTIT', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SAUTTIT', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SAUTTIT', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SAUTTIT', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SAUTTIT', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', '3', 'Identificateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SAUTTIT', '740', 'a', 'Auteur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 'j', 'Subdivision de forme', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 't', 'Titre', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 'x', 'Subdiv. de sujet', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 'y', 'Subdiv. géographique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '740', 'z', 'Subdivision', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SAUTTIT', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '330', 'a', 'Note sur le champ d\'application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '410', 'z', 'Subdivision', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'j', 'subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '710', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SCO', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SCO', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '250', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '250', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'b', 'Statut', '', 0, 0, -1, 'CAND', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '250', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '330', 'a', 'Note sur le champ d\'application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '450', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SNC', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SNC', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('SNC', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SNC', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNC', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('SNC', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNC', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('SNC', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('SNC', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('SNC', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('SNC', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('SNC', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SNC', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('SNC', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SNC', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SNC', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNC', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('SNC', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('SNC', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('SNC', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNC', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('SNC', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SNC', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SNC', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SNC', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SNC', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('SNC', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('SNC', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('SNC', '550', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('SNC', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('SNC', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('SNC', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SNC', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('SNC', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SNC', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('SNC', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('SNC', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNC', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNC', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNC', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNC', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('SNC', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('SNC', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SNC', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SNC', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNC', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SNC', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SNC', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNC', '750', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '750', 'z', 'Subdivision', '', 0, 1, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNC', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('SNC', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('SNC', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('SNC', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNC', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'q', 'Coordonnée-Longitude la plus occidentale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 'r', 'Coordonnée-Longitude la plus orientale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 's', 'Coordonnée-Latitude la plus septentrionale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '123', 't', 'Coordonnée-Latitude la plus méridionale (forme décimale)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '215', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '215', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '215', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '330', 'a', 'Note sur le champ d\'application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '415', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SNG', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SNG', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('SNG', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SNG', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNG', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('SNG', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNG', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('SNG', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('SNG', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('SNG', '515', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('SNG', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('SNG', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SNG', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('SNG', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SNG', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SNG', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNG', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('SNG', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('SNG', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('SNG', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNG', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('SNG', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SNG', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SNG', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SNG', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SNG', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('SNG', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('SNG', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNG', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('SNG', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('SNG', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('SNG', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('SNG', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('SNG', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('SNG', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('SNG', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('SNG', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('SNG', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNG', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNG', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNG', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('SNG', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('SNG', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('SNG', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SNG', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('SNG', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('SNG', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SNG', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('SNG', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('SNG', '715', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '715', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('SNG', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('SNG', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('SNG', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('SNG', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('SNG', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'm', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'w', 'Mention d\'arrangement', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '2', 'code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '430', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'n', 'Autre informations', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'n', 'Autres informations', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '730', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('STU', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('STU', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('TM', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '106', 'a', 'Code d\'un caractère', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('TM', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '216', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '216', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '216', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '416', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '416', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '416', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '416', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '416', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '416', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '416', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '416', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '416', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('TM', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('TM', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('TM', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('TM', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TM', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('TM', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TM', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('TM', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('TM', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('TM', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('TM', '516', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '516', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('TM', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('TM', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('TM', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('TM', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('TM', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '523', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '523', 'b', 'Autre partie du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '523', 'c', 'Informations complémentaires', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TM', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('TM', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('TM', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('TM', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TM', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('TM', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('TM', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('TM', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('TM', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('TM', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('TM', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('TM', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TM', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('TM', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('TM', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('TM', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('TM', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('TM', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('TM', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('TM', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('TM', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TM', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('TM', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TM', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TM', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TM', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TM', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('TM', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('TM', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('TM', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('TM', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('TM', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('TM', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '700', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TM', '716', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'y', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '716', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('TM', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('TM', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TM', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TM', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', '2', 'Code du système d\'indexation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'a', 'Numéro d\'oeuvre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'b', 'Numéro de mouvement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'c', 'Numéro d\'incipit', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'd', 'Voix / instrument', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'e', 'Rôle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'f', 'Titre/légende du mouvement', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'g', 'Clé ou mode', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'm', 'Clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'n', 'Signature de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'o', 'Durée de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'p', 'Notation musicale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'q', 'Commentaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'r', 'Note codée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 't', 'Texte de l\'incipit', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '036', 'z', 'Langue du texte', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '050', 'a', 'ISTC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '050', 'z', 'ISTC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '051', 'a', 'ISWC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '051', 'z', 'ISWC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '052', 'a', 'ISAN', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '052', 'z', 'ISAN annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '061', 'a', 'ISRC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '061', 'z', 'ISRC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '101', 'a', 'Langue utilisée par l\'entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '106', 'a', 'Code d\'un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '127', 'a', 'Durée', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '128', 'a', 'Forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '128', 'd', 'Clé musicale ou tonalité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '152', 'b', 'système d\'indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '160', 'a', 'Code de l\'aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'a', 'Elément d\'entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'm', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '230', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'w', 'Mention d\'arrangement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '300', 'a', 'Note d\'information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', 'a', 'Note sur la biographie ou l\'activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '2', 'code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '430', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('TU', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('TU', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('TU', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('TU', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TU', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('TU', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TU', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('TU', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('TU', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('TU', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('TU', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('TU', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('TU', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('TU', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('TU', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('TU', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TU', ''),
  ('TU', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('TU', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('TU', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TU', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('TU', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('TU', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('TU', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('TU', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('TU', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('TU', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('TU', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TU', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('TU', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('TU', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('TU', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('TU', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('TU', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('TU', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('TU', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('TU', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('TU', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TU', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TU', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TU', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('TU', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('TU', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('TU', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('TU', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('TU', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('TU', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('TU', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('TU', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '675', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '676', 'z', 'Langue de l\'édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '2', 'Code du système d\'indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('TU', '730', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '730', 'z', 'Subdiv. chronologique', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('TU', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('TU', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101'),
  ('TU', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD'),
  ('TU', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'b', 'Numéro d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'd', 'Chemin d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'o', 'système d\'exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'v', 'Heures d\'accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'y', 'Mode d\'accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('TU', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '001', '@', 'tag 001', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '003', '@', 'ark', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '005', '@', 'numéro de version', '', 0, 1, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '009', '@', 'PPN', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '033', 'a', 'numéro', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '033', 'z', 'ISNI erroné ou abandonné', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', '2', 'Code du système d\'indexation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'a', 'Numéro d\'oeuvre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'b', 'Numéro de mouvement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'c', 'Numéro d\'incipit', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'd', 'Voix / instrument', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'e', 'Rôle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'f', 'Titre/légende du mouvement', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'g', 'Clé ou mode', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'm', 'Clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'n', 'Signature de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'o', 'Durée de la clé', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'p', 'Notation musicale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'q', 'Commentaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'r', 'Note codée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 't', 'Texte de l\'incipit', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '036', 'z', 'Langue du texte', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '050', 'a', 'ISTC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '050', 'z', 'ISTC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '051', 'a', 'ISWC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '051', 'z', 'ISWC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '052', 'a', 'ISAN', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '052', 'z', 'ISAN annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '061', 'a', 'ISRC', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '061', 'z', 'ISRC annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '100', 'a', 'Données générale de traitement', '', 0, 1, 0, '', 'unimarc_field_100_authorities.pl', NULL, 0, 0, 0, '', '', '        afrey5050####ba0'),
  ('WORK', '101', 'a', 'Langue utilisée par l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '101', 'b', 'Langue d\'une expression intermédiaire', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '101', 'c', 'Langue d\'une expression originale', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '101', 'd', 'Langue du résumé', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '101', 'j', 'Langue des sous-titres', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '101', 'l', 'Langue de traduction de l\'entité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '106', 'a', 'Code d\'un caractère', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '122', 'a', 'Données codées : période historique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '127', 'a', 'Durée', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '128', 'a', 'Forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '128', 'd', 'Clé musicale ou tonalité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', 'AFNOR'),
  ('WORK', '152', 'b', 'système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '154', 'a', 'Données générales de traitement du titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '160', 'a', 'Code de l\'aire géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'a', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'c', 'Forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'd', 'Date', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'f', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '231', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '300', 'a', 'Note d\'information', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '305', 'a', 'Formule introductive', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '320', 'a', 'Note de renvoi explicatif', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '330', 'a', 'Note sur le champ d\'application', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '333', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '340', '2', 'code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '340', 'a', 'Note sur la biographie', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '340', 'b', 'Note sur l\'activité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '340', 'c', 'Occupation - Profession', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '340', 'd', 'Fonction ou champ d\'activité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '340', 'f', 'Dates', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '340', 'p', 'Affiliation/Adresse', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'a', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'c', 'Forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'd', 'Date', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'f', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '431', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '500', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('WORK', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '501', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('WORK', '501', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '501', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'NP', ''),
  ('WORK', '502', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('WORK', '502', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '502', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('WORK', '510', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('WORK', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('WORK', '511', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'CO', NULL),
  ('WORK', '511', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '511', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '512', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '512', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('WORK', '512', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', 'h', 'Partie du nom autre que l\'élément d\'entrée et que l\'élément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '512', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '515', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', ''),
  ('WORK', '515', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '516', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('WORK', '516', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '516', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'PUB', ''),
  ('WORK', '517', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'b', 'Devise', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'c', 'Citation', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'd', 'Taille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'g', 'Iconographie', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '517', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '520', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('WORK', '520', 'c', 'Type de famille', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', 'd', 'Lieux', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', 'o', 'ISNI', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '521', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', 'FAM', ''),
  ('WORK', '521', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '521', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '521', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '521', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '521', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '521', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '521', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '521', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '521', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('WORK', '521', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '522', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('WORK', '522', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '522', 'r', 'Partie ou rôle joué', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('WORK', '530', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'TU', NULL),
  ('WORK', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'q', 'Version (ou date d\'une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'w', 'Mention d\'arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '531', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '531', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('WORK', '531', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '531', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '532', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('WORK', '532', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '532', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('WORK', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, 'SAUTTIT', NULL),
  ('WORK', '540', 'j', 'Subdiv. de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '541', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '541', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('WORK', '541', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('WORK', '541', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '541', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '542', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('WORK', '542', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('WORK', '542', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '542', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '545', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('WORK', '545', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', 't', 'Rubrique de classement', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CLASS', ''),
  ('WORK', '545', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '545', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', '9', 'n° Koha', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('WORK', '550', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'SNC', NULL),
  ('WORK', '550', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '560', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '560', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', 'a', 'Pays ou état fédéral', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('WORK', '560', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', 'c', 'Comté ou département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', ''),
  ('WORK', '580', '0', 'Formule introductive', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '580', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '580', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '580', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '580', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '580', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '580', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '580', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '580', 'a', 'Elément entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, 'GENRE/FORM', NULL),
  ('WORK', '580', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '580', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '580', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '580', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '600', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '600', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', ''),
  ('WORK', '600', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '600', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '601', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', ''),
  ('WORK', '601', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'h', 'Partie du nom autre que l\'élément d\'entrée et autre que l\'élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'j', 'Subdiv. de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '601', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '602', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '602', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '602', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '602', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', ''),
  ('WORK', '602', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '602', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '602', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '602', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '602', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '606', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '606', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '606', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '606', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', ''),
  ('WORK', '606', 'b', 'Statut', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '606', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '606', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '606', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '606', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '607', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '607', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '607', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '607', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '607', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '607', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '607', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '607', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL),
  ('WORK', '616', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '616', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '616', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '616', 'a', 'Elément d\'entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', ''),
  ('WORK', '616', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '616', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '616', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '616', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '616', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '616', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '617', 'a', 'Pays ou état fédéral', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('WORK', '617', 'b', 'Province, état fédéré ou région', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('WORK', '617', 'c', 'Comté ou département', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('WORK', '617', 'd', 'Ville', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, '', '', NULL),
  ('WORK', '631', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '631', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('WORK', '631', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '631', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '632', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'EXP', ''),
  ('WORK', '632', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'w', 'Autres caractéristiques (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '632', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '641', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('WORK', '641', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTWORK', ''),
  ('WORK', '641', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '641', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', '2', 'Code du système d\'indexation matière', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '642', '3', 'Identificateur de la notice d\'autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'a', 'Nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('WORK', '642', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'm', 'Langue de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'n', 'Type de contenu (expression)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'o', 'Date de l\'expression', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NTEXP', ''),
  ('WORK', '642', 'v', 'Support de l\'expression (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '642', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '675', 'a', 'Indice CDU, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '675', 'b', 'Indice CDU, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '675', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '675', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '676', 'a', 'Indice CDD, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '676', 'b', 'Indice CDD, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '676', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '676', 'z', 'Langue de l\'édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '680', 'a', 'Indice LCC, isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '680', 'b', 'Indice LCC, fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '680', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '686', 'a', 'Indice , isolé ou début d\'une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '686', 'b', 'Indice , fin de série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '686', 'c', 'Termes explicatifs', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '731', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', ''),
  ('WORK', '731', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', '9', 'n° Koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'a', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'WORK', ''),
  ('WORK', '731', 'c', 'Forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'd', 'Date', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'e', 'Lieu d\'orgine', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'f', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'j', 'Subdiv. de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'k', 'Autres caractéristiques', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'r', 'Distribution d\'exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '731', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '801', 'a', 'Pays', '', 0, 0, 0, 'COUNTRY', '', NULL, 0, 0, 0, '', '', 'FR'),
  ('WORK', '801', 'b', 'Etablissement catalogueur', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', 'Progilone'),
  ('WORK', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', ''),
  ('WORK', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '815', 'a', 'Citation', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '820', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '825', 'a', 'Texte de la note', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '835', 'b', 'Vedette de remplacement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '835', 'd', 'Date de la transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'b', 'Numéro d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'd', 'Chemin d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'e', 'Date et heure de consultation et d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'g', 'Nom normalisé d\'une ressource', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'h', 'Nom de l\'utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'm', 'Contact pour l\'assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'o', 'système d\'exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'v', 'Heures d\'accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'w', 'Numéro d\'identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'x', 'Note confidentielle', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'y', 'Mode d\'accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL),
  ('WORK', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
